#!/usr/bin/env python
"""Tests for the utils.py-module."""

# $Id: test_utils.py,v 1.1.2.1 2002/01/10 06:33:44 srichter Exp $
# $Source: /cvs/ZOQLMethod/MakeProduct/tests/Attic/test_utils.py,v $
__version__ = "$Revision: 1.1.2.1 $"[11:-2]

import unittest
import utils

class dummy_class:
    """Dummy class for testing framework"""

    def __init__(self, name):
        """Initialize an instance of the class"""
        self.name = name

class basic_utils_test_case(unittest.TestCase):
    """This test case will test the utils module"""

    def setUp(self):
        """Set up necessities for this test"""
        klass = dummy_class('id')
        self.list = [klass]
        self.arg = 'id'
        self.arg_name = 'name'

    def runTest(self):
        """basic_utils_test_case"""
        assert utils.find_entry(self.list, self.arg, self.arg_name), \
               "runTest failed on utils.find_entry()"

basic_utils_suite = unittest.TestSuite()
basic_utils_suite.addTest(basic_utils_test_case("runTest"))

def test_suite():
    """Return a unittest.TestSuite instance"""
    return unittest.TestSuite((basic_utils_suite,))

if __name__ == '__main__':
    unittest.TextTestRunner().run(test_suite())
