import sys, os, string
import unittest

from Products.ZOQLMethod.Parser import ZOQLParser

### This class tests the different forms of the WHERE clause
### This is done by using the simplest SELECT statement possible
### add as much test methods as possible

class ClauseTest(unittest.TestCase):

    def setUp(self):
        
        self.parser = ZOQLParser.ZOQLParser(marshalfile="oql.mar", bind=0)
        self.context = {}

    def testSimpleComparisons(self):
        """Simple Comparisons"""

        try:
            self.parser.parse("SELECT AName WHERE a==b;", self.context)
        except:
            self.fail("WHERE a==b;")

        try:
            self.parser.parse("SELECT AName WHERE 1==0;", self.context)
        except:
            self.fail("WHERE 1==0;")

        try:
            self.parser.parse("SELECT AName WHERE a==2;", self.context)
        except:
            self.fail("WHERE a==2;")

        try:
            self.parser.parse("SELECT AName WHERE 'a name'==4;", self.context)
        except:
            self.fail("WHERE 'a name'==4;")

        try:
            self.parser.parse("""SELECT AName WHERE "a string"==b.path;""", self.context)
        except:
            self.fail("""WHERE "a string"==b.path;""")
