# This code is copyrighted by Stephan Richter and
# Thomas Foerster in September, 2001.
#
# written by Stephan Richter
# Last updated: October 4, 2001

__doc__ = '''ZOQL Method'''


# DEBUG IMPORTS
from Parser import Operators, CatalogOperators, ZOQLParser, Sequence
from Parser.ZOQLExceptions import *


import ZOQLMethod

def initialize(context):
    context.registerHelp()
    context.registerClass(ZOQLMethod.ZOQLMethod,
                          permission='Add Documents, Images, and Files',
                          icon='www/zoql_method.gif',
                          constructors=(ZOQLMethod.manage_addZOQLMethodForm,
                                        ZOQLMethod.manage_addZOQLMethod)
                          )


# load all the icons automatically
import os
from Globals import package_home, ImageFile
misc_ = {}
path = os.path.join(package_home(globals()), 'www/')

for file in os.listdir(path):
    if file[-3:] == 'gif':
        misc_[file[:-4]] = ImageFile('www/%s' %file, globals())
