#!/usr/bin/python
#
# A sample python-session on creating a Product
# You need to be in the make_product/ directory
#
# $Id: example1.py,v 1.1.2.1 2002/01/10 06:33:43 srichter Exp $
# $Source: /cvs/ZOQLMethod/MakeProduct/examples/Attic/example1.py,v $
__version__='$Revision: 1.1.2.1 $'[11:-2]

"""A verbose example"""

import Builder

gpl = open('licenses/GPL').read() % {
    'author': 'Stephan Richter', 'authored_year': '2002',
    'author_email': 'srichter@cbu.edu'}

my_product = Builder.zope_product_builder(id='TestProduct', license=gpl)
#my_product.write_self()

my_product.add_klass(Builder.klass_builder(
                     id='TestClass', meta_type='Test Class', license=my_product.license))

klass = my_product.get_klass('TestClass')
klass.add_property(Builder.property_builder(id='title'))
klass.add_property(Builder.property_builder(
                   id='count', type='int', default=0))
klass.add_property(Builder.property_builder(
                   id='states', type='tokens', default=[]))

my_product.write_self()

