#!/usr/bin/python

# You need to be in the make_product/ directory

# $Id: example3.py,v 1.1.2.1 2002/01/10 06:33:43 srichter Exp $
# $Source: /cvs/ZOQLMethod/MakeProduct/examples/Attic/example3.py,v $
__version__='$Revision: 1.1.2.1 $'[11:-2]

"""Sets up a zope_product with a bunch of klasses and subklasses and
then prints the render_class_structure()"""

import Builder

zope_product = Builder.zope_product_builder(id='product_id')
zope_product.add_klass(Builder.klass_builder(id='klass1'))
zope_product.add_klass(Builder.klass_builder(id='klass2'))
zope_product.add_klass(Builder.klass_builder(id='klass3'))
zope_product.add_klass(Builder.klass_builder(id='klass4'))
zope_product.add_klass(Builder.klass_builder(id='klass5'))

klass = zope_product.get_klass('klass4')
klass.add_subklass(Builder.klass_builder(id='subklass1'))
klass.add_subklass(Builder.klass_builder(id='subklass2'))
klass.add_subklass(Builder.klass_builder(id='subklass3'))
klass.add_subklass(Builder.klass_builder(id='subklass4'))
klass.add_subklass(Builder.klass_builder(id='subklass5'))

klass = zope_product.get_klass('klass1')
klass.add_subklass(Builder.klass_builder(id='subklass1'))
klass.add_subklass(Builder.klass_builder(id='subklass2'))

subklass = klass.get_subklass('subklass2')
subklass.add_subklass(Builder.klass_builder(id='subsubklass1'))
subklass.add_subklass(Builder.klass_builder(id='subsubklass2'))
subklass.add_subklass(Builder.klass_builder(id='subsubklass3'))

print zope_product.render_class_structure()
