import sys, os, string
import unittest

from Products.ZOQLMethod.Parser import ZOQLParser

class MiscTest(unittest.TestCase):
    """Tests for various other features of the grammar which do not fit
    elsewhere"""
    
    def setUp(self):
        
        self.parser = ZOQLParser.ZOQLParser(marshalfile="oql.mar", bind=0)
        self.context = {}

    def testDateTime(self):
        """Comparison with DateTime"""

        try:
            self.parser.parse("SELECT AName WHERE timestamp<d'2001-10-23 08:00:00';", self.context)
        except:
            self.fail("SELECT AName WHERE timestamp<d'2001-10-23 08:00:00';")

    def testDateTime(self):
        """Comparison with DateTime"""

        try:
            self.parser.parse("INSERT AName AS id INTO Container SET timestamp=d'2001-10-23 08:00:00';", self.context)
        except:
            self.fail("INSERT AName AS id INTO Container SET timestamp=d'2001-10-23 08:00:00';")


